package com.heyu.api.data.entity.mobile;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*手机号码校验记录表
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("mobile_check_data")
public class MobileCheckDataEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.mobile.MobileCheckDataEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                               // 
    public final static String is_delete = CLASS_NAME + "is_delete";                  // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";              // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";              // 修改时间
    public final static String identity_card_id = CLASS_NAME + "identity_card_id";    // 身份证表中对应的身份id
    public final static String name_ = CLASS_NAME + "name";                           // 姓名
    public final static String name_md5 = CLASS_NAME + "name_md5";                    // 姓名做一次MD5的值
    public final static String id_number = CLASS_NAME + "id_number";                  // 身份证号码
    public final static String id_number_md5 = CLASS_NAME + "id_number_md5";          // 身份证号码做一次md5的值
    public final static String country_ = CLASS_NAME + "country";                     // mobile对应国家
    public final static String province_ = CLASS_NAME + "province";                   // mobile省
    public final static String city_ = CLASS_NAME + "city";                           // mobile城市
    public final static String county_ = CLASS_NAME + "county";                       // mobile县
    public final static String address_ = CLASS_NAME + "address";                     // mobile详细地址
    public final static String mobile_ = CLASS_NAME + "mobile";                       // 手机号码
    public final static String mobile_md5 = CLASS_NAME + "mobile_md5";                // 手机号码做一次MD5的值
    public final static String isp_ = CLASS_NAME + "isp";                             // 运营商名称
    public final static String from_type = CLASS_NAME + "from_type";                  // 来源：0：第三方api请求获得 1：用户校正所得 2：自有更正
    public final static String remark_ = CLASS_NAME + "remark";                       // 备注说明
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //身份证表中对应的身份id
    private Long identityCardId;
    //姓名
    private String name;
    //姓名做一次MD5的值
    private String nameMd5;
    //身份证号码
    private String idNumber;
    //身份证号码做一次md5的值
    private String idNumberMd5;
    //mobile对应国家
    private String country;
    //mobile省
    private String province;
    //mobile城市
    private String city;
    //mobile县
    private String county;
    //mobile详细地址
    private String address;
    //手机号码
    private String mobile;
    //手机号码做一次MD5的值
    private String mobileMd5;
    //运营商名称
    private String isp;
    //来源：0：第三方api请求获得 1：用户校正所得 2：自有更正
    private Integer fromType;
    //备注说明
    private String remark;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 身份证表中对应的身份id 
     * @return
     */
    public Long getIdentityCardId() {
        return identityCardId;
    }
    /**
     * 身份证表中对应的身份id 
     * @param identityCardId
     */
    public void setIdentityCardId(Long identityCardId) {
        this.identityCardId = identityCardId;
    }

    /**
     * 姓名 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 姓名 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 姓名做一次MD5的值 
     * @return
     */
    public String getNameMd5() {
        return nameMd5;
    }
    /**
     * 姓名做一次MD5的值 
     * @param nameMd5
     */
    public void setNameMd5(String nameMd5) {
        this.nameMd5 = nameMd5;
    }

    /**
     * 身份证号码 
     * @return
     */
    public String getIdNumber() {
        return idNumber;
    }
    /**
     * 身份证号码 
     * @param idNumber
     */
    public void setIdNumber(String idNumber) {
        this.idNumber = idNumber;
    }

    /**
     * 身份证号码做一次md5的值 
     * @return
     */
    public String getIdNumberMd5() {
        return idNumberMd5;
    }
    /**
     * 身份证号码做一次md5的值 
     * @param idNumberMd5
     */
    public void setIdNumberMd5(String idNumberMd5) {
        this.idNumberMd5 = idNumberMd5;
    }

    /**
     * mobile对应国家 
     * @return
     */
    public String getCountry() {
        return country;
    }
    /**
     * mobile对应国家 
     * @param country
     */
    public void setCountry(String country) {
        this.country = country;
    }

    /**
     * mobile省 
     * @return
     */
    public String getProvince() {
        return province;
    }
    /**
     * mobile省 
     * @param province
     */
    public void setProvince(String province) {
        this.province = province;
    }

    /**
     * mobile城市 
     * @return
     */
    public String getCity() {
        return city;
    }
    /**
     * mobile城市 
     * @param city
     */
    public void setCity(String city) {
        this.city = city;
    }

    /**
     * mobile县 
     * @return
     */
    public String getCounty() {
        return county;
    }
    /**
     * mobile县 
     * @param county
     */
    public void setCounty(String county) {
        this.county = county;
    }

    /**
     * mobile详细地址 
     * @return
     */
    public String getAddress() {
        return address;
    }
    /**
     * mobile详细地址 
     * @param address
     */
    public void setAddress(String address) {
        this.address = address;
    }

    /**
     * 手机号码 
     * @return
     */
    public String getMobile() {
        return mobile;
    }
    /**
     * 手机号码 
     * @param mobile
     */
    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    /**
     * 手机号码做一次MD5的值 
     * @return
     */
    public String getMobileMd5() {
        return mobileMd5;
    }
    /**
     * 手机号码做一次MD5的值 
     * @param mobileMd5
     */
    public void setMobileMd5(String mobileMd5) {
        this.mobileMd5 = mobileMd5;
    }

    /**
     * 运营商名称 
     * @return
     */
    public String getIsp() {
        return isp;
    }
    /**
     * 运营商名称 
     * @param isp
     */
    public void setIsp(String isp) {
        this.isp = isp;
    }

    /**
     * 来源：0：第三方api请求获得 1：用户校正所得 2：自有更正 
     * @return
     */
    public Integer getFromType() {
        return fromType;
    }
    /**
     * 来源：0：第三方api请求获得 1：用户校正所得 2：自有更正 
     * @param fromType
     */
    public void setFromType(Integer fromType) {
        this.fromType = fromType;
    }

    /**
     * 备注说明 
     * @return
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 备注说明 
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "MobileCheckDataEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",identityCardId=" + identityCardId +
                ",name=" + name +
                ",nameMd5=" + nameMd5 +
                ",idNumber=" + idNumber +
                ",idNumberMd5=" + idNumberMd5 +
                ",country=" + country +
                ",province=" + province +
                ",city=" + city +
                ",county=" + county +
                ",address=" + address +
                ",mobile=" + mobile +
                ",mobileMd5=" + mobileMd5 +
                ",isp=" + isp +
                ",fromType=" + fromType +
                ",remark=" + remark +
                "}";
    }
}